package domain

type AlibabaHmMarketingItempoolQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的数据     */
	ItemPoolSkuList *[]AlibabaHmMarketingItempoolQueryitemsItemPoolSku `json:"item_pool_sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetMessage(v string) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetItemPoolSkuList(v []AlibabaHmMarketingItempoolQueryitemsItemPoolSku) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.ItemPoolSkuList = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
